{# Copyright (c) 2015 Jessica Tallon & Matt Molyneaux. This file is part of Inboxen. Licensed under the terms of the GNU AGPL, as published by the FSF, version 3 the or later #}
{% extends 'inboxen/base.html' %}
{% load i18n inboxen_time %}

{% block headline %}
    {% trans "No Subject" as no_subject %}
    {{ email.headers.Subject|default:no_subject }}
{% endblock %}

{% block breadcrumbs %}
    <ul class="breadcrumb">
        <li><a href="{% url 'user-home' %}">{% blocktrans trimmed %} {{ user }}'s Home {% endblocktrans %}</a></li>
        <li><a href="{% url 'single-inbox' inbox=email.inbox.inbox domain=email.inbox.domain.domain %}">{{ email.inbox }}</a></li>
        <li class="active">{{ email.headers.Subject|default:_("No Subject") }}</li>
    </ul>
{% endblock %}

{% block content %}
{% if email.ask_images and email.has_images %}
<p class="alert alert-warning">
    <a class="alert-link" href="{{ request.path }}?imgDisplay=1">{% trans "Click here to view images" %}</a>
</p>
{% endif %}

<div><div class="pull-right">
    <p>
        <form class="inline-buttons" action="{% url 'single-inbox' inbox=email.inbox.inbox domain=email.inbox.domain.domain %}" method="POST">
            {% csrf_token %}
            <button class="btn btn-danger" type="submit" value="{{ email.eid }}" name="delete-single"><span class="fa fa-trash" aria-hidden="true"></span>{% trans "Delete" %}</button>
        </form>
        <form class="inline-buttons" action="{{ request.path }}" method="POST">
            {% csrf_token %}
            <button class="btn btn-default" type="submit" name="important-toggle">
            {% if object.important %}{# email isn't actually the email object #}
                <span class="fa fa-star-o" aria-hidden="true"></span>{% trans "Unmark as important" %}
            {% else %}
                <span class="fa fa-star" aria-hidden="true"></span>{% trans "Mark as important" %}
            {% endif %}
            </button>
        </form>
        {% if headersfetchall %}
        <a class="btn btn-default" href="{{ request.path }}?all-headers=0">
            <span class="fa fa-eye-slash" aria-hidden="true"></span>{% trans "Hide headers" %}
        </a>
        {% else %}
        <a class="btn btn-default" href="{{ request.path }}?all-headers=1">
            <span class="fa fa-eye" aria-hidden="true"></span>{% trans "Show headers" %}
        </a>
        {% endif %}
        {% if email.prefer_html %}
        <a class="btn btn-default" href="{{ request.path }}?preferHtml=0">
            <span class="fa fa-refresh" aria-hidden="true"></span>{% trans "Prefer plain text" %}
        </a>
        {% else %}
        <a class="btn btn-default" href="{{ request.path }}?preferHtml=1">
            <span class="fa fa-refresh" aria-hidden="true"></span>{% trans "Prefer HTML" %}
        </a>
        {% endif %}
    </p>
</div></div>

<strong>{% trans "From" %}:</strong> {{ email.headers.From }} <br />
<strong>{% trans "Received" %}:</strong> <span title="{{ email.date|date:"r" }}">{{ email.date|inboxentime }}</span>
<br />
{% if headersfetchall %}
<strong>{% trans "Raw Headers" %}:</strong>
<pre>{% for name, value in email.headers.items %}{{ name }}: {{ value }}
{% endfor %}</pre>
{% endif %}

<strong>{% trans "Message" %}:</strong><br />
{% for body in email.bodies %}
<div id="email-body">{{ body }}</div>
{% endfor %}
<p><strong>{% trans "Attachments" %}</strong></p>
<p>
</p>
<div class="attachments">
    <div class="attachment">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="btn-group btn-group-justified" role="group">
                    <a class="btn btn-default" href="{% url 'download-email-view' inbox=email.inbox.inbox domain=email.inbox.domain.domain email=email.eid %}">
                        <span class="fa fa-download" aria-hidden="true"></span>{% trans "Download entire email" %}
                    </a>
                </div>
            </div>
            <div class="panel-body">&nbsp;</div>
        </div>
    </div>
{% include "inboxen/includes/attachment.html" with attachment=attachments %}
</div>
{% endblock %}
